]> git.zerfleddert.de Git - m1-debian/blobdiff - dcp.sh
make m1n1 package compatible with new way to package things
[m1-debian] / dcp.sh
diff --git a/dcp.sh b/dcp.sh
index ca36f9aff3c0931aea7f1d72d7df47e0fd820902..5f619d615a4eae724a26ea3fb45631a4453712ba 100644 (file)
--- a/dcp.sh
+++ b/dcp.sh
@@ -1,7 +1,13 @@
-#!/bin/bash
+#!/usr/bin/env bash
 
-set -x
-set -e
+# SPDX-License-Identifier: MIT
+
+set -o errexit
+set -o nounset
+set -o pipefail
+set -o xtrace
+
+cd "$(dirname "$0")"
 
 unset LC_CTYPE
 unset LANG
@@ -9,19 +15,49 @@ unset LANG
 build_linux()
 {
 (
-        test -d linux || git clone https://github.com/jannau/linux -b asahi-dcp
+        test -d linux || git clone https://github.com/AsahiLinux/linux
         cd linux
-        git fetch
-        git reset --hard asahi-dcp; git clean -f -x -d
-        curl -s https://tg.st/u/5nly | git am -
-        curl -s https://tg.st/u/0wM8 | git am -
-        curl -s https://tg.st/u/m1-dcp-2022-01-30-config > .config
-        make olddefconfig
-        make -j 16 bindeb-pkg
+        git fetch -a -t
+        git reset --hard asahi-6.1-rc8-2
+        source "$HOME/.cargo/env"
+        curl -o .config https://tg.st/u/1dbcb0d155911d80f29e61153f53e39bff1c6198f9ed0673520d4cf45343fa9f.config
+        make LLVM=-14 olddefconfig
+        make LLVM=-14 -j `nproc` V=0 > /dev/null
+        sudo make LLVM=-14 V=0 modules_install > /dev/null
+        sudo make LLVM=-14 install
+)
+}
+
+build_m1n1()
+{
+(
+        test -d m1n1 || git clone --recursive https://github.com/AsahiLinux/m1n1
+        cd m1n1
+        git fetch -a -t
+        git reset --hard v1.2.2;
+        make -j `nproc`
+)
+}
+
+build_uboot()
+{
+(
+        test -d u-boot || git clone https://github.com/AsahiLinux/u-boot
+        cd u-boot
+        git fetch -a -t
+        git reset --hard asahi-v2022.10-1;
+
+        make apple_m1_defconfig
+        make -j `nproc`
 )
+        cat m1n1/build/m1n1.bin   `find linux/arch/arm64/boot/dts/apple/ -name \*.dtb` <(gzip -c u-boot/u-boot-nodtb.bin) > u-boot.bin
+        sudo cp /boot/efi/m1n1/boot.bin /boot/efi/m1n1/`date +%Y%m%d%H%M`.bin
+        sudo cp u-boot.bin /boot/efi/m1n1/boot.bin
 }
 
-mkdir -p build/dcp
-cd build/dcp
+mkdir -p build
+cd build
 
 build_linux
+build_m1n1
+build_uboot
Impressum, Datenschutz